Fatal Error "PHP error in file.... " beim Login-Versuch in den Adminbereich / Update von 3.1.7 auf aktuelle Version

  • Schönen guten Tag zusammen,

    ich bekomme beim Versuch, mich in den Admin-Bereich einzuloggen folgende Fehlermeldung:

    ---

    Fatal error: PHP error in file /is/htdocs/wp1186076_TXJO544TCT/www/wbb3-board/lib/acp/page/IndexPage.class.php (76): preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead
    Information:

    error message: PHP error in file /is/htdocs/wp1186076_TXJO544TCT/www/wbb3-board/lib/acp/page/IndexPage.class.php (76): preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead
    error code: 0
    file: /is/htdocs/wp1186076_TXJO544TCT/www/forum-wbb3/lib/system/WCF.class.php (281)
    php version: 5.5.31-1~he.1
    wcf version: 1.1.9 (Tempest)
    date: Fri, 29 Jan 2016 16:13:03 +0000
    request: /wbb3-board/acp/index.php?packageID=48&
    referer: http://www.planet-knight.de/wbb3-board/acp/index.php?form=Login&packageID=48&

    Stacktrace:
    #0 [internal function]: WCF::handleError(8192, 'preg_replace():...', '/is/htdocs/wp11...', 76, Array)#1 /is/htdocs/wp1186076_TXJO544TCT/www/wbb3-board/lib/acp/page/IndexPage.class.php(76): preg_replace('/href="(.*?)"/e', ''href="../../fo...', 'Wir freuen uns ...')#2 /is/htdocs/wp1186076_TXJO544TCT/www/forum-wbb3/lib/page/AbstractPage.class.php(90): IndexPage->readData()#3 /is/htdocs/wp1186076_TXJO544TCT/www/forum-wbb3/lib/page/AbstractPage.class.php(46): AbstractPage->show()#4 /is/htdocs/wp1186076_TXJO544TCT/www/forum-wbb3/lib/util/RequestHandler.class.php(64): AbstractPage->__construct()#5 /is/htdocs/wp1186076_TXJO544TCT/www/forum-wbb3/lib/util/RequestHandler.class.php(101): RequestHandler->__construct('Index', Array, 'page')#6 /is/htdocs/wp1186076_TXJO544TCT/www/wbb3-board/acp/index.php(8): RequestHandler::handle(Array)#7 {main}---
    Es scheint irgendetwas mit der PHP Version zu tun zu haben - was kann bzw. muss ich tun? Ich bin jetzt nicht so der Pro und bin froh, dass das Forum seit 2010 stabil läuft ;(

    Ich möchte den Installationsservice kaufen und die aktuellest Version von WoltLab installieren lassen, das habe ich 2013 bereits genutzt - den Service bekomm ich in den Warenkorb, allerdings finde ich kein Update, dass ich dazukaufen kann.
    Hier wäre für ich einen Tip dankbar.

    Herzlichen Danke vorab für eure Hilfe.

    Stefan

    Viele Grüße

    Stefan

    Männer werden sieben - danach wachsen sie nur noch..

  • Servus zusammen,

    herzlichen Dank - das ging ja schnell.
    Ich hatte die FAQ, auf die ihr verwiesen habt, komplett durchgelesen. Ich fand, dass keine der Fehlermeldungen passte.
    Die "wcf/lib/core.functions.php" habe ich wie in der Anleitung geändert und abgespeichert. Dananch wird die Startseite des Forums gar nicht mehr angezeigt. Es erscheint nur ein Fehlermeldung: Serverfehler 500, nach anklicken von "Details" (ein Link auf der dargestellten Seite):
    "Beim Abrufen von http://www.planet-knight.de/wbb3-board/acp/index.php?packageID=48& ist auf der Website ein Fehler aufgetreten. Möglicherweise wird sie gerade gewartet oder ist falsch konfiguriert."


    Mit der "alten" core.functions.php komme ich noch ins Forum - der obern bereits beschriebene Fehler besteht dann immer noch.
    Was mich noch irritiert - das Forum läuft über das Verzeichnis /wbb3-board/ - die core.functions.php ist aber in /forum-wbb3/lib gespeichert. Ich kommt nicht so richtig damit klar, die letzte Installation wurde wie gesagt durch Woltlab in 2013 gemacht.

    Habt ihr noch eine Idee - es ist zwar nicht die Hölle los im Forum - es wäre jedoch langsam dringend. Kann das im Rahmen der Neuinstallation durch Woltlab gefixt werden?

    Danke euch und Gruß,
    Stefan

    Wegen des Istallations- und Update-Services wende ich mich per E-Mail an den Service, vielen Dank.

    Viele Grüße

    Stefan

    Männer werden sieben - danach wachsen sie nur noch..

  • Servus T1N0,

    vielen Dank - leider nein - ich komme nicht mehr in den Admin-Bereich...ausserdem wüsste ich auch nicht wie das genau funktioniert - wie gesagt, die letzte Installation hat deshalb schon WoltLab gemacht ;)

    Trotzdem Danke.
    Stefan

    Viele Grüße

    Stefan

    Männer werden sieben - danach wachsen sie nur noch..

  • Hallo Stefan,

    wenn Du die Möglichkeit hast, würde ich an deiner Stelle PHP 5.4 Aktivieren. Das sollte bei deinen Webhoster einstellbar sein. Dann müsstest Du jedenfalls wieder in den Adminbereich kommen.

    Um das Forum (WCF) upzudaten gehst Du im Adminbereich auf System - Paketverwaltung. Dort solltest Du nach Updates suchen können.

    Zur Not schaue ins Handbuch S. 61
    https://www.woltlab.com/downloads/handbuch.pdf

    Lg Tino

  • Hallo zusammen,

    ok - ich bin einen Schritt weiter. Ich habe die PHP Version auf meinem Server (Hosteurope) auf 5.3 zurückgesetzt. Anschließend konnt ich mich im Adminbereich anmelden.
    Das Board habe ich nun erfolgreich auf 3.1.8 aktualisiert, das WCF auf 1.1.10 pl2

    Ich prüfe, nun ob es noch Probleme gibt.

    Grüße
    Stefan

    Viele Grüße

    Stefan

    Männer werden sieben - danach wachsen sie nur noch..

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!